Subject: Offline Message from Younes Ibrahim: I need you to return my money cause to t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 09 Jul 2020 12:03:42 -0000

From: Younes Ibrahim <[email-masked]>
Phone: 
Location: Al Hufuf, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us/
Department: 

I need you to return my money cause to times my ordered return to warehouse without a reason!!! I call DHL they said from you the problem i called you you said from DHL !! My shipments was 200314806 and i sent you email no one answer , my feedback this the worst online shop i deal with until now !!! You dont know how to deal with customer 

----
Zopim
https://www.zopim.com